Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.jca.endpoint
Class GenericMessageEndpointFactory.InternalResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.jca.endpoint.GenericMessageEndpointFactory.InternalResourceException

All Implemented Interfaces:
  Serializable

Enclosing class:
  GenericMessageEndpointFactory

    public static class GenericMessageEndpointFactory.InternalResourceException

extends RuntimeException

Internal exception thrown when a ResourceExeption has been encountered during the endpoint invocation.

Will only be used if the ResourceAdapter does not invoke the endpoint's `beforeDelivery` and `afterDelivery` directly, leavng it up to the concrete endpoint to apply those - and to handle any ResourceExceptions thrown from them.

See Also:
  Serialized Form

Constructor Summary
`protected` | `GenericMessageEndpointFactory.InternalResourceException(ResourceException cause)`

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericMessageEndpointFactory.InternalResourceException

    protected GenericMessageEndpointFactory.InternalResourceException(ResourceException cause)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.